import request from '@/utils/request'

// 查询年度销售目标列表
export function listAnnualSaleGoal(query) {
  return request({
    url: '/goal_management/annualSaleGoal/list',
    method: 'get',
    params: query
  })
}

// 查询年度销售目标详细
export function getAnnualSaleGoal(id) {
  return request({
    url: '/goal_management/annualSaleGoal/' + id,
    method: 'get'
  })
}

// 新增年度销售目标
export function addAnnualSaleGoal(data) {
  return request({
    url: '/goal_management/annualSaleGoal',
    method: 'post',
    data: data
  })
}

// 修改年度销售目标
export function updateAnnualSaleGoal(data) {
  return request({
    url: '/goal_management/annualSaleGoal',
    method: 'put',
    data: data
  })
}

// 删除年度销售目标
export function delAnnualSaleGoal(id) {
  return request({
    url: '/goal_management/annualSaleGoal/' + id,
    method: 'delete'
  })
}
